complexType "CreditLimitExtended"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 10 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | limitId?, primaryAssetClass?, productType*, productId*, currency?, tenor?, limitApplicable*, expirationDate?, rfqRevalidation?, orderRevalidation?
</...>

Content Model Elements (10):

  currency (defined in CreditLimit complexType), expirationDate (defined in CreditLimit complexType), limitApplicable, limitId, orderRevalidation, | primaryAssetClass, productId (defined in Product.model group), productType (defined in Product.model group), rfqRevalidation, tenor

All Direct / Indirect Based Elements (1):

  creditLimit (defined in CreditLimitInformationExtended complexType)

Known Usage Locations

- As direct type of elements (1):
  creditLimit (defined in CreditLimitInformationExtended complexType)

Type Definition Detail

Type Derivation Tree CreditLimit (extension) CreditLimitExtended

XML Source (see within schema source)

<xsd:complexType name="CreditLimitExtended"> <xsd:complexContent> <xsd:extension base="CreditLimit"> <xsd:sequence> <xsd:element minOccurs="0" name="rfqRevalidation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="orderRevalidation" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/10)
orderRevalidation

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="orderRevalidation" type="xsd:boolean"/>

rfqRevalidation

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="rfqRevalidation" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.